#ifndef CSAVEMANAGER_H_INCLUDED
#define CSAVEMANAGER_H_INCLUDED

#include <irrlicht.h>

using namespace irr;

class CSaveManager
{
    public:

	CSaveManager(const core::stringw&,IrrlichtDevice&);
    CSaveManager& operator=(const CSaveManager& other); // defined but not implemented

	~CSaveManager();

	bool Load();
	bool Save();

	private:

    void setSetting(const core::stringw&, const core::stringw&);
    void setSetting(const core::stringw&, s32);
    core::stringw getSetting(const core::stringw&) const;
    bool getSettingAsBoolean(const core::stringw&) const;
    s32 getSettingAsInteger(const core::stringw&) const;


    core::stringw* xml_file;
    IrrlichtDevice *MenuDevice;

    core::map<core::stringw, core::stringw> SettingMap; //current config


};


#endif // CSAVEMANAGER_H_INCLUDED
